Bug 801366 - [API] Invalid X-Auth-Token breaks API service
[API] Invalid X-Auth-Token breaks API service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-keystone (Show other bugs)
17
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 06:30 EST by Jan van Eldik
Modified: 2012-04-11 22:27 EDT (History)
13 users (show)

See Also:
Fixed In Version: openstack-keystone-2012.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script-session w/ breaking nova API (6.63 KB, text/plain)
2012-03-08 06:30 EST, Jan van Eldik
no flags Details

  None (edit)
Description Jan van Eldik 2012-03-08 06:30:45 EST
Created attachment 568601 [details]
script-session w/ breaking nova API

Description of problem:

A working nova breaks when an invalid authentication token is passed

Version-Release number of selected component (if applicable):

openstack-nova-2012.1-0.7.e4.fc17.noarch

How reproducible:

100%

Steps to Reproduce:
1. configure keystone authentication
2. nova flavor-list # works fine
3. curl -v -H "X-Auth-Token:VERY_BAD_TOKEN" http://localhost:8774/v1.1/
4. nova flavor-list # HTTP 401
  
Additional info:

A script-session is attached (the valid Auth-Token was retrieved with "keystone token-get")
Comment 1 Mark McLoughlin 2012-03-08 06:53:04 EST
Confirmed, nice catch!
Comment 2 Alan Pevec 2012-03-08 07:08:06 EST
Upstream bug https://bugs.launchpad.net/keystone/+bug/942985
fixed post e4 https://review.openstack.org/4675
Comment 3 Fedora Update System 2012-03-24 17:55:37 EDT
openstack-keystone-2012.1-0.12.rc1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-keystone-2012.1-0.12.rc1.fc17
Comment 4 Fedora Update System 2012-03-25 17:29:16 EDT
Package openstack-keystone-2012.1-0.12.rc1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-keystone-2012.1-0.12.rc1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4690/openstack-keystone-2012.1-0.12.rc1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-11 22:27:28 EDT
openstack-keystone-2012.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.